<?php
include ("conexion.php");

$de=$_GET['de'];
$a=$_GET['a'];

echo "CONSULTA PARA SABER QUE PRODUCTOS FUERON ENTREGADOS PERO NO ESTAN EN EL LISTADO ORIGINAL DE CONTENIDO_SALIDA<BR>DEL CONTROL $de AL $a <BR><BR>";

$cuantos=0;
$cons20="SELECT clave,idSalida,entregado FROM entregas_material WHERE idSalida between '$de' and '$a'";
$res20=mysql_query($cons20,$conex) or die ("No consulto entregados");
while($fila = mysql_fetch_array($res20))
{		
	$cons3="SELECT * FROM contenido_salida WHERE idSalida='$fila[1]' and idProducto='$fila[0]'";
	$res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_salida");
	$hay=mysql_num_rows($res3);
	
	if($hay==0)
	{
		$cuantos++;
		
		echo "Este producto esta entregado pero no esta en la lista del contenido_salida: ".$fila[0]." Salida: ".$fila[1]."<BR>";
		
		$cons="INSERT INTO contenido_salida (idSalida,idProducto,entregado,cantidad) VALUES ('$fila[1]','$fila[0]','Si','$fila[2]')";
		$res=mysql_query($cons,$conex) or die ("No se inserto en contenido_salida");
	}
}

echo "TOTAL DE MOVIMIENTOS: ".$cuantos;
?>